/****************************************************************

	USB functions for FT245RL (SC01 & SC02) 

					2015.7.28 M.Utsumi@ARCDEVICE
*****************************************************************/

#ifndef USB_H
#define USB_H

#include "SC02.h"

extern WORD USB_wTimeout; 
extern volatile WORD USB_wTimeoutCount;

void USB_Open( void );
void USB_InitTxBuffer( void );
void USB_SetTimeout( WORD wTimeout_ms );
BOOL USB_Read( BYTE* pbBuffer, WORD wSize );
BOOL USB_Write( BYTE* pbBuffer, WORD wSize );
BOOL USB_WriteBuf( BYTE* pbBuffer, WORD wSize );
BOOL USB_Reply( void );
void USB_ClearRxFIFOBuffer( void );

#define USB_DataReady() RXF==0

#endif
